/*-------------- BELKA NAWIGACJI  ----------------*/

.site-header {
    position: fixed;
    top: 0;
    z-index: 22;
}

.top-bar {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 10;
    padding-bottom: var(--s-spacing);
    border-radius: 0 0 var(--small-corners) var(--small-corners);
}

footer .wrapper.margins {
    padding: var(--s-spacing) 0 !important;
}

@media screen and (max-width: 899px) {
    .top-bar .flex {
        flex-direction: column;
    }
    .top-bar .wrapper.margins {
        margin: 0;
    }
    .nav-main {
        display: flex;
        flex-direction: column-reverse !important;
        padding: var(--s-spacing) 0 var(--m-spacing) 0;
        background-color: var(--light-blue);
    }
    .nav-main *:not(button) {
        color: #000 !important;
    }
    .desktop-logo {
        display: none;
    }
    .shorthand {
        margin-top: var(--s-spacing);
    }
    .nav-container {
        flex-direction: column-reverse;
    }
}
@media screen and (min-width: 1200px) and (max-width: 1599px) {
    .top-bar .wrapper.margins, footer .wrapper.margins {
        margin: 0 var(--m-spacing);
        max-width: none !important;
    }
}
@media screen and (min-width: 1600px) {
    .top-bar .wrapper.margins, footer .wrapper.margins {
        margin: 0 auto;
        max-width: 1366px !important;
    }
}

.shorthand *, .nav-menu * {
    white-space: nowrap;
    font-weight: 700;
}

.shorthand {
    padding: var(--s-spacing);
    justify-content: center !important;
}
.shorthand * {
    color: var(--blue);
}
.shorthand > * .flex {
    gap: 0.3rem;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
}
.shorthand a .telefon * {
	font-size: 1.25rem;
    font-weight: 700;
}
.shorthand a .telefon img {
    height: 1.25rem;
}

/* ---- Top nav ---- */
nav.top-nav {
    flex-direction: column-reverse;
    margin-top: 0;
    padding: var(--padding);
    position: relative;
	border-radius: var(--big-corners);
}

/* ---- Mobile top bar ---- */
.mobile-top-nav {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    background-color: var(--light-blue);
    padding: var(--xs-spacing) var(--s-spacing);
    border-radius: 0 0 var(--small-corners) var(--small-corners);
}
.desktop-logo {
    position: relative !important;
}
.mobile-logo {
    display: flex;
    justify-content: center;
    align-items: center;
}


/* Toggle button */
.menu-toggle {
    background: none;
    border: none;
    cursor: pointer;
    z-index: 2;
    flex-direction: row !important;
    gap: var(--xs-spacing);
}
.menu-toggle, .mobile-logo {
    padding: var(--s-spacing);
}
.menu-toggle .menu-icon-open,
.menu-toggle .menu-icon-close {
    display: block;
}
.menu-toggle .menu-icon-close {
    display: none;
}

/* ---- Mobile rollout menu ---- */
.nav-main {
    display: none;
    opacity: 0;
    transition: opacity 250ms ease-in-out;
}
@media screen and (max-width: 899px)  {
    .nav-main {
        border-radius: 0 0 var(--small-corners) var(--small-corners);
        position: absolute;
        top: 0;
        width: 100%;
        padding-top: calc(var(--l-spacing) + var(--s-spacing));
    }
    .mobile-logo {
        position: relative;
        z-index: 1;
    }
}
@media screen and (max-width: 299px) {
    .mobile-top-nav {
        padding: var(--xs-spacing);
    }
}

/* ---- Desktop ---- */
@media screen and (min-width: 900px) {
    .nav-main {
        flex-direction: column;
    }
    .top-bar {
        background-color: transparent;
        height: initial;
    }
    .top-bar .flex {
        justify-content: space-between;
        flex-direction: row !important;
    }
    .nav-main{
        opacity: 1;
        display: flex !important;
    }
    .mobile-top-nav, .menu-toggle {
        display: none;
    }
    .desktop-logo {
        display: block;
    }
    nav.top-nav {
        flex-direction: column;
        background-color: var(--light-blue);
    }
}

/* desktop nav upon scroll away from top position */
.top-bar {
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

@media screen and (min-width: 900px) {
    .top-bar.scrolled {
        background-color: var(--transparent-white);
        backdrop-filter: blur(4px);
        -webkit-backdrop-filter: blur(4px);
        box-shadow: var(--box-shadow);
        padding-top: var(--s-spacing);
        transition: all 200ms ease;
        
        .shorthand {
            display: none;
        }
    }
}